Name:           python-flask-basicauth
Version:        0.2.0
Release:        2%{?dist}
Summary:        HTTP basic authentication for Flask

License:        BSD-3-Clause
URL:            https://github.com/jpvanhal/flask-basicauth
Source:         %{url}/archive/v%{version}/flask-basicauth-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-flask
BuildRequires:  python3-pytest
Requires:       python3-flask

# https://github.com/jpvanhal/flask-basicauth/pull/29
Patch:          29.patch

%global _description %{expand:
HTTP basic authentication for Flask}

%description %_description

%package -n python3-flask-basicauth
Summary:        %{summary}

%description -n python3-flask-basicauth %_description


%prep
%autosetup -p1 -n flask-basicauth-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install


%check
rm -f flask_basicauth.py
%pytest --pyargs


%files -n python3-flask-basicauth
%doc README.* CHANGES.rst
%license LICENSE
%{python3_sitelib}/Flask_BasicAuth-%{version}.dist-info/
%{python3_sitelib}/__pycache__/flask_basicauth.cpython-%{python3_version_nodots}*pyc
%{python3_sitelib}/flask_basicauth.py


%changelog
* Tue Aug 23 2022 Jonathan Wright <jonathan@almalinux.org> - 0.2.0-2
- Improve patching of tests

* Sun Aug 07 2022 Jonathan Wright <jonathan@almalinux.org> - 0.2.0-1
- Initial package build
- rhbz#2116257
